Bug 116104 - local variable used before set
Summary: local variable used before set
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rhgb (Show other bugs)
(Show other bugs)
Version: 1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Daniel Veillard
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-18 10:30 UTC by d.binderman
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-16 08:53:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description d.binderman 2004-02-18 10:30:31 UTC
Description of problem:

I just tried to compile package rhgb-0.11.2-1 from Fedora.

The compiler said

1.

main.c(656): remark #592: variable "pipe_fds" is used before its value
is set

The source code is

      create_main_window (pipe_fds[1]);

Suggest init pipe_fds before first use.



Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Daniel Veillard 2004-09-16 08:53:50 UTC
Okay this is fixed in current Rawhide release 0.13.1 or 0.12.6,

  thanks,

Daniel


Note You need to log in before you can comment on or make changes to this bug.